Bug 28571 - C4::Auth::_session_log is not used and must be removed
Summary: C4::Auth::_session_log is not used and must be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-16 13:27 UTC by Jonathan Druart
Modified: 2022-06-06 20:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02


Attachments
Bug 28571: Remove C4::Auth::_session_log (2.19 KB, patch)
2021-06-16 13:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28571: Remove C4::Auth::_session_log (2.24 KB, patch)
2021-06-18 19:29 UTC, David Nind
Details | Diff | Splinter Review
Bug 28571: Remove C4::Auth::_session_log (2.34 KB, patch)
2021-06-23 14:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-06-16 13:27:39 UTC
it's logging in a /tmp file
Comment 1 Jonathan Druart 2021-06-16 13:28:49 UTC
Created attachment 122039 [details] [review]
Bug 28571: Remove C4::Auth::_session_log

It's not used and must be removed

Test plan:
  % git grep _session_log
must not return any result.
Comment 2 David Nind 2021-06-18 19:29:47 UTC
Created attachment 122173 [details] [review]
Bug 28571: Remove C4::Auth::_session_log

It's not used and must be removed

Test plan:
  % git grep _session_log
must not return any result.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Marcel de Rooy 2021-06-23 14:34:28 UTC
Created attachment 122342 [details] [review]
Bug 28571: Remove C4::Auth::_session_log

It's not used and must be removed

Test plan:
  % git grep _session_log
must not return any result.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2021-06-24 09:54:19 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-07-09 14:41:25 UTC
Pushed to 21.05.x for 21.05.02
Comment 6 Fridolin Somers 2021-08-02 20:36:30 UTC
I think we should not impact olders versions